Can APU4 / AMD G-T40E run 2.4.0 (64 bit)?



  • Still have an APU 4 in production and see that it is on i386 2.3.4 p1 with no option to upgrade to 2.4.0 due to i386.  Is the hardware compatible?  If so, can I do an in place upgrade or will I have to do a clean install?  Or is it time to pull the trigger on a new box!

    BIOS Vendor: coreboot
    Version: SageBios_PCEngines_APU-45
    CPU Type AMD G-T40E Processor



  • I answered part of my own question - the hardware can run x64 as I have another APU running 64 bit right now.  As for the upgrade, will I need to do a reinstall/restore?



  • You mean APU1?

    If so, then I'm pretty sure that board has 64bit support.  You'll just need to re-install pfSense from scratch on the 64bit version.

    This the one?

    http://pcengines.ch/apu.htm



  • Believe that's the one.  Thanks.  Will do full install soon.



  • The units we have are actually VKT-40Es.  One needed to go from i386 to x64.  Used the USB memstick image and the 'rescue config.xml' option.  Reinstalled to x64 without issue.  Also upgraded the other VKT-40E we have which was already running x64 without issue.


 

© Copyright 2002 - 2018 Rubicon Communications, LLC | Privacy Policy